_syck_parser Struct Reference

`#include <syck.h>`

## Data Fields

SYMID | root
SYMID | root_on_error
int | implicit_typing
int | taguri_expansion
SyckNodeHandler | handler
SyckErrorHandler | error_handler
SyckBadAnchorHandler | bad_anchor_handler
enum syck_parser_input | input_type
enum syck_io_type | io_type
size_t | bufsize
char * | buffer
char * | linectptr
char * | lineptr
char * | toktmp
char * | token
char * | cursor
char * | marker
char * | limit
int | linect
int | last_token
int | force_token
int | eof
union {
SyckIoFile * file
SyckIoStr * str
} | io
st_table * | anchors
st_table * | bad_anchors
st_table * | syms
SyckLevel * | levels
int | lvl_idx
int | lvl_capa
void * | bonus

## Detailed Description

Definition at line 219 of file syck.h.

## Field Documentation

st_table* _syck_parser::anchors

Definition at line 251 of file syck.h.

Referenced by syck_hdlr_add_anchor(), syck_hdlr_get_anchor(), syck_hdlr_remove_anchor(), syck_mark_parser(), syck_new_parser(), and syck_st_free().

SyckBadAnchorHandler _syck_parser::bad_anchor_handler

Definition at line 229 of file syck.h.

Referenced by syck_hdlr_get_anchor(), and syck_parser_bad_anchor_handler().

st_table * _syck_parser::bad_anchors

Definition at line 251 of file syck.h.

Referenced by syck_hdlr_add_anchor(), syck_hdlr_get_anchor(), syck_mark_parser(), syck_new_parser(), and syck_st_free().

void* _syck_parser::bonus

Definition at line 259 of file syck.h.

Referenced by rb_syck_free_parser(), rb_syck_load_handler(), syck_mark_parser(), syck_parser_load(), syck_parser_load_documents(), and syck_parser_s_alloc().

char* _syck_parser::buffer

Definition at line 237 of file syck.h.

Referenced by syck_check_limit(), syck_free_parser(), syck_move_tokens(), syck_new_parser(), syck_parser_read(), syck_parser_readlen(), and syck_parser_reset_cursor().

size_t _syck_parser::bufsize

Definition at line 235 of file syck.h.

Referenced by syck_new_parser(), syck_parser_bufsize_get(), syck_parser_bufsize_set(), and syck_parser_reset_cursor().

char * _syck_parser::cursor

Definition at line 237 of file syck.h.

Referenced by rb_syck_err_handler(), syck_check_limit(), syck_default_error_handler(), syck_move_tokens(), and syck_parser_reset_cursor().

int _syck_parser::eof

Definition at line 245 of file syck.h.

Referenced by syck_parser_load_documents(), and syck_parser_reset_cursor().

SyckErrorHandler _syck_parser::error_handler

Definition at line 227 of file syck.h.

Referenced by syck_parser_error_handler(), and syckerror().

SyckIoFile* _syck_parser::file

Definition at line 247 of file syck.h.

Referenced by free_any_io(), syck_parser_file(), syck_parser_read(), and syck_parser_readlen().

int _syck_parser::force_token

Definition at line 243 of file syck.h.

Referenced by syck_parser_reset_cursor(), sycklex_bytecode_utf8(), and sycklex_yaml_utf8().

SyckNodeHandler _syck_parser::handler

Definition at line 225 of file syck.h.

Referenced by syck_hdlr_add_anchor(), syck_hdlr_add_node(), and syck_parser_handler().

int _syck_parser::implicit_typing

Definition at line 223 of file syck.h.

Referenced by syck_new_parser(), syck_parser_implicit_typing(), and sycklex_bytecode_utf8().

enum syck_parser_input _syck_parser::input_type

Definition at line 231 of file syck.h.

Referenced by syck_new_parser(), syck_parser_set_input_type(), and sycklex().

union { ... } _syck_parser::io

Referenced by free_any_io(), syck_new_parser(), syck_parser_file(), syck_parser_read(), syck_parser_readlen(), and syck_parser_str().

enum syck_io_type _syck_parser::io_type

Definition at line 233 of file syck.h.

Referenced by free_any_io(), syck_new_parser(), syck_parser_file(), syck_parser_read(), syck_parser_readlen(), and syck_parser_str().

int _syck_parser::last_token

Definition at line 241 of file syck.h.

Referenced by syck_parser_reset_cursor().

SyckLevel* _syck_parser::levels

Definition at line 255 of file syck.h.

Referenced by syck_free_parser(), syck_new_parser(), syck_parser_add_level(), syck_parser_current_level(), syck_parser_pop_level(), and syck_parser_reset_levels().

char * _syck_parser::limit

Definition at line 237 of file syck.h.

Referenced by syck_check_limit(), syck_move_tokens(), and syck_parser_reset_cursor().

int _syck_parser::linect

Definition at line 239 of file syck.h.

Referenced by rb_syck_err_handler(), syck_default_error_handler(), and syck_parser_reset_cursor().

char * _syck_parser::linectptr

Definition at line 237 of file syck.h.

Referenced by syck_check_limit(), syck_move_tokens(), and syck_parser_reset_cursor().

char * _syck_parser::lineptr

Definition at line 237 of file syck.h.

Referenced by rb_syck_err_handler(), syck_check_limit(), syck_default_error_handler(), syck_move_tokens(), and syck_parser_reset_cursor().

int _syck_parser::lvl_capa

Definition at line 257 of file syck.h.

Referenced by syck_new_parser(), and syck_parser_add_level().

int _syck_parser::lvl_idx

Definition at line 256 of file syck.h.

Referenced by syck_new_parser(), syck_parser_add_level(), syck_parser_current_level(), syck_parser_pop_level(), and syck_parser_reset_levels().

char * _syck_parser::marker

Definition at line 237 of file syck.h.

Referenced by syck_check_limit(), syck_move_tokens(), and syck_parser_reset_cursor().

SYMID _syck_parser::root

Definition at line 221 of file syck.h.

Referenced by syck_mark_parser(), syck_parse(), syck_parser_reset_cursor(), and syckerror().

SYMID _syck_parser::root_on_error

Definition at line 221 of file syck.h.

Referenced by syck_mark_parser(), syck_parser_reset_cursor(), syck_parser_set_root_on_error(), and syckerror().

SyckIoStr* _syck_parser::str

Definition at line 248 of file syck.h.

Referenced by free_any_io(), syck_new_parser(), syck_parser_read(), syck_parser_readlen(), and syck_parser_str().

st_table* _syck_parser::syms

Definition at line 253 of file syck.h.

Referenced by syck_add_sym(), syck_free_parser(), syck_lookup_sym(), and syck_new_parser().

int _syck_parser::taguri_expansion

Definition at line 223 of file syck.h.

Referenced by syck_new_parser(), syck_parser_taguri_expansion(), and sycklex_bytecode_utf8().

char * _syck_parser::token

Definition at line 237 of file syck.h.

Referenced by syck_move_tokens(), and syck_parser_reset_cursor().

char * _syck_parser::toktmp

Definition at line 237 of file syck.h.

Referenced by syck_move_tokens(), and syck_parser_reset_cursor().

The documentation for this struct was generated from the following file:

- ext/syck/syck.h